org.eclipse.jgit.internal.storage.file

## Class PackBitmapIndexRemapper.Entry

- java.lang.Object
- - org.eclipse.jgit.lib.AnyObjectId
  - - org.eclipse.jgit.lib.ObjectId
    - - org.eclipse.jgit.internal.storage.file.PackBitmapIndexRemapper.Entry

All Implemented Interfaces:
  Serializable, Comparable<AnyObjectId>

Enclosing class:
  PackBitmapIndexRemapper

    public final class PackBitmapIndexRemapper.Entry
    extends ObjectId

An entry in the old PackBitmapIndex.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFlags()`

### Methods inherited from class org.eclipse.jgit.lib.ObjectId

`equals, fromRaw, fromRaw, fromRaw, fromRaw, fromString, fromString, isId, toObjectId, toString, zeroId`

### Methods inherited from class org.eclipse.jgit.lib.AnyObjectId

`abbreviate, compareTo, compareTo, compareTo, copy, copyRawTo, copyRawTo, copyRawTo, copyRawTo, copyTo, copyTo, copyTo, copyTo, copyTo, copyTo, equals, equals, equals, getByte, getFirstByte, getName, hashCode, name, startsWith, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getFlags

    public int getFlags()

Returns:
  the flags associated with the bitmap.